Skip to content
OpenPostDocs
OpenPostDocs
Auth

Start TOTP enrollment for the current user

POST/auth/security/totp/setup

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/security/totp/setup" \  -H "Content-Type: application/json" \  -d '{    "current_password": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/SetupTOTPOutputBody.json",  "challenge_id": "string",  "manual_entry_key": "string",  "otpauth_url": "string",  "qr_code_data_url": "string"}